﻿using DataGrid;
using Syncfusion.Grouping;
using Syncfusion.Windows.Forms.Grid;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace GridListControl
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            DataCollection dataSource = new DataCollection();
            Random rand = new Random();
            int r = rand.Next(100);
            for (int i = 0; i < 100; i++)
            {
                dataSource.Add(new Data(r.ToString(), "Category" + r.ToString(), "Desc" + r.ToString(), r.ToString() + "Data"));
                r = rand.Next(100);
            }
            this.gridListControl1.DataSource = dataSource;
            this.gridListControl1.MultiColumn = true;
            this.gridListControl1.Grid.AllowProportionalColumnSizing = true;

            this.gridListControl1.Grid.CellClick += Grid_CellClick;
        }

        void Grid_CellClick(object sender, GridCellClickEventArgs e)
        {
            GridStyleInfo style = this.gridListControl1.Grid.Model[e.RowIndex, e.ColIndex];
            MessageBox.Show("Cellvaue:" + style.CellValue.ToString());
        }
    }
}
